Subject: Re: Sequestrene

From: [email-masked] (Lynn S Dahleen)
Date: Tue, 29 Aug 1995 11:47:24 GMT

Pierre Lejeune ([email-masked]) wrote:
: I am looking for a source of SEQUESTRENE which is the commercial name for 
: Fe-EDDHA, an iron chelator supposedly more efficient than EDTA in calcareous 
: substrates.

: Does anyone know of a company that sells it? In Europe preferably.

Sequestrene can be purchased from FLUKA Chemika-BioChemika.  The Swiss 
phone # listed in my catalog +81 755 25 11, FAX # +81 756 54 49.  Hope 
this helps.
Lynn Dahleen